# Global variables for github repository
%global commit0 fd5abd50de6a65af3db3a5c5579dc08068deb616
%global gittag0 libsmf-1.3
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Summary: MIDI library
Name: libsmf
Version: 1.3
Release: 1%{?dist}
License: GPL
Group: Development/Libraries
URL: https://github.com/stump/libsmf
Source0: https://github.com/stump/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkgconfig
BuildRequires: glib2-devel

%description
LibSMF is a BSD-licensed C library for handling SMF ("*.mid") files. It
transparently handles conversions between time and pulses, tempo map
handling etc. The only dependencies are C compiler and glib. Full API
documentation and examples are included.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains header files for %{name}.

%package utils
Summary: SMF shell for %{name}
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description utils
The %{name}-utils package contains the smfsh application.

%prep
%autosetup -n %{name}-%{commit0}

%build
autoreconf --force --install
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install

# Remove *.la files.
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_libdir}/libsmf.so.*

%files devel
%{_includedir}/*
%{_libdir}/libsmf.so
%{_libdir}/pkgconfig/smf.pc

%files utils
%{_bindir}/smfsh
%{_mandir}/man1/smfsh.1.gz

%changelog
* Thu Mar 24 2016 Phil Wyett <philwyett@irregulars-engineering.com> 1.3-1
- Initial release.
